Chuyển tới nội dung chính

Delete Virtual Router

DELETE /v2.0/routers/{router_id}

Deletes a logical router and, if present, its external gateway interface.

This operation fails if the router has attached internal interfaces. First list the router interfaces and delete them, then delete the router.

info

Request​

Parameters​

NameInTypeDescription
router_idpathstringThe ID of the router.

Sample Request​

Using curl​

curl -ks -X DELETE -H 'Content-Type: application/json' -H 'X-Auth-Token: gAAAAA<...>' \
https://api.vietnix.cloud:9696/v2.0/routers/66fa6a3b-4b3a-485f-819d-c671765eb915

Using HTTP request​

DELETE https://api.vietnix.cloud:9696/v2.0/routers/{router_id}
X-Auth-Token: gAAAAA<...>

Response​

This operation returns no response body.

Status Codes​

Success​

Status CodeDescription
204 - No ContentThe server has fulfilled the request.

Error​

Status CodeDescription
401 - UnauthorizedUser must authenticate before making a request.
404 - Not FoundThe requested resource could not be found.
409 - ConflictThis operation conflicted with another operation on this resource.
412 - Precondition FailedThe server does not meet a request precondition.